#include <iostream>
#include <iomanip>

using namespace std;

void citaj(int n, int h[])
{
	for (int i = 0; i < n; i++)
		cin >> h[i];
}
void pecina(int n, int h[], int l)
{
	int i;
	for (i = 0; i < n; i++)
	{
		if (l >= h[i])
		{
			cout << i+1;
			return;
		}
	}
	cout <<"-1";
}
int main() 
{
	int n, h[1000], l;
	cin >> n >> l ;
	citaj(n, h);
	pecina(n, h, l);
	
}